public class Sieve
{
    public static final int ITER=50000;
    
    
    public static void main(String[] args)
    {
        int[] flags = new int[ITER+1];
        int i, k, iter, count=0;
        long start, end;
        
        start=System.currentTimeMillis();
        for (iter=1; iter<=ITER; iter++)
        {
                count=0;
                for(i=0; i<=ITER; i++)
                {
                        flags[i]=0;
                }
                for(i=2; i<=ITER; i++)
                {
                        if (flags[i]==0)	/* found a prime */
                        {
                                count++;	
                                for (k=i+i; k<=ITER; k+=i)
                                {
                                        flags[k]=1;
                                }
                        }
                }
        }
        end=System.currentTimeMillis();
        System.out.print(ITER + " iterations, " + count + " primes found, " + (end-start) + " ms.");
    }
}
